<div *ngIf="error" class="alert alert-danger">{{ error }}</div>   

<div *ngIf="!error">
  <div class="row">
    <div class="col-md-1 col-sm-4 col-xs-6">

    </div>
    <div class="col-md-10 col-sm-4 col-xs-6">
      <div class="card som" id="user">
        <div class="card-body">
          <h4 class="fa fa-users"><b>&nbsp;&nbsp;  Listado de Usuarios Registrados en el Sistema</b></h4>
          <table class="table table-sm table-hover">
              <thead>
                <th>Email</th>
                <th>Rol</th>
                <!-- <th class="text-center">Editar</th> -->
                <th class="text-center">Eliminar</th>
              </thead>
            <tbody>
              <tr *ngFor="let usuarios of datosUsuarios">
        
                <td>{{ usuarios.email |titlecase }}</td>
                <td>{{ usuarios.rol |titlecase }}</td>
      
                <!-- <td class="auto" class="text-center">
                  <button title="Editar Usuario." class="btn color-1 text-white"  data-toggle="modal" [attr.data-target]="'#Modal-'+usuarios.id">
                    <i class="far fa-edit"></i>  
                  </button>
      
                </td> -->
                <td class="auto" class="text-center">
                    <button title="Eliminar Usuario." class="btn btn-danger text-white"  data-toggle="modal" [attr.data-target]="'#Modal-1'+usuarios.id">
                      <i class="fas fa-trash-alt"></i>  
                    </button>
                    <!-- <button class="btn btn-danger text-white" id="removeCourse" (click)="remove(usuarios.id)">
                      <i class="fas fa-trash-alt"></i>  
                    </button> -->
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <div class="col-md-1 col-sm-4 col-xs-6">

    </div>
  </div>
</div>

<!--Modal-->
<!-- <div *ngFor="let usuarios of datosUsuarios">
  <div class="modal" [attr.id]="'Modal-'+usuarios.id" tabindex="-1" role="dialog" [attr.aria-labelledby]="usuarios.id" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" [attr.id]="usuarios.id">Actualizar Usuario</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>

          <form #actualizarForm="ngForm" (ngSubmit)="onSubmit(actualizarForm)" method="POST" action="/reclutamiento/usuarios/actualizar/{{usuarios.id}}">
            <div class="modal-body">
              <div class="text-center">
                <label for="email">Email</label><br>
                <input type="email" name="email" class="form-control" placeholder="Email"
                          [attr.value]="usuarios.email" [(ngModel)]="user.email" 
                          required> 
                
                <label for="rol">Rol</label>
                <div *ngIf="roles==null">Cargando...</div>
                <select name="rol" class="form-control" *ngIf="roles" 
                      [(ngModel)]="user.rol"
                      required>
                  <option value="null">Seleccione...</option>
                  <option *ngFor="let rol of roles" value="{{ rol.id_rol }}">{{ rol.descripcion | titlecase }}</option>
                </select>
                
              <select type="text" name="id" class="form-control" 
                          [(ngModel)]="user.id" [value]="usuarios.id"
                          required> 
                <option value="null" >{{ usuarios.id }}</option>
                <option  [value]="usuarios.id">{{ usuarios.id }}</option>
              </select>
              </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary som" data-dismiss="modal">Cerrar&nbsp;<i class="far fa-window-close"></i></button>
              <button class="btn color-1 text-white som" [disabled]="!actualizarForm.form.valid">Actualizar&nbsp;<i class="fas fa-edit"></i></button>
            </div>
          </form>
        </div>
      </div>
    </div> 
</div> -->
<!-- Fin Modal -->
<!-- Modal1-->
<div *ngFor="let usuarios of datosUsuarios">
    <div class="modal" [attr.id]="'Modal-1'+usuarios.id" tabindex="-1" role="dialog" [attr.aria-labelledby]="usuarios.id" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" [attr.id]="usuarios.id">Eliminar Usuario</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <div class="text-center">
                <label for="email">Email</label><br>
                <input type="text" class="text-center" style="width: 400px" [attr.value]='usuarios.email |titlecase'/><br><br>
                <label for="rol">Rol</label><br>
                <input type="text" class="text-center" style="width: 400px" [attr.value]='usuarios.rol |titlecase'/><br>
              </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary som" data-dismiss="modal">Cerrar&nbsp;<i class="far fa-window-close"></i></button>
              <button class="btn color-1 text-white som" id="removeCourse" (click)="remove(usuarios.id)">Eliminar&nbsp;<i class="fas fa-trash-alt"></i></button>
            </div>
          </div>
        </div>
      </div>
</div> 
  <!-- Fin Modal1 -->
                            